import { Log, Response, User } from "hubot";
import { InternalRobot } from "../internals.mjs";
import { ITool, ICommand, ICommandResolverResultDebugInfo } from "../types.mjs";
export declare class CommandResolver {
    private robot;
    constructor(robot: InternalRobot);
    resolve(res: Response): CommandResolverResult | null;
    resolveFromTool(tool: ITool, res: Response): CommandResolverResult;
}
export declare class CommandResolverResult {
    tool: ITool;
    command: ICommand;
    authorized: Boolean;
    match: RegExpExecArray;
    values: Record<string, any>;
    text: string;
    user: User;
    log(logger: Log): void;
    getDebugInfo(): ICommandResolverResultDebugInfo;
}
